=== applications/osgbpp/CMakeLists.txt ===
_osgBulletMakeInteractionExe( osgbpp
    osgbpp.cpp
)
