=== examples/multithreaded/CMakeLists.txt ===
_osgBulletMakeInteractionExe( multithreaded
    multithreaded.cpp
)
