=== examples/slider/CMakeLists.txt ===
_osgBulletMakeInteractionExe( slider
    slider.cpp
)
