=== examples/solver/CMakeLists.txt ===
MAKE_EXECUTABLE( solver
    solver.cpp
)

# TARGET_LINK_LIBRARIES( solver
#     F:/Projects/Physics/bullet/out/release8/libs/libbulletcuda.lib
# )
