=== tests/compound/CMakeLists.txt ===
_osgBulletMakeDynamicsExe( compound
    compound.cpp
)
