=== tests/triplebuf/CMakeLists.txt ===
_osgBulletMakeDynamicsExe( triplebuf
    triplebuf.cpp
)
