=== debian/changelog ===
ros-melodic-uwsim-osgbullet (3.0.1-3bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mario Prats <marioprats@gmail.com>  Sun, 10 Nov 2019 20:13:24 -0000
