=== debian/control ===
Source: ros-melodic-uwsim-osgbullet
Section: misc
Priority: extra
Maintainer: Mario Prats <marioprats@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev, libopenscenegraph-dev, openscenegraph, ros-melodic-uwsim-bullet, ros-melodic-uwsim-osgworks
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-uwsim-osgbullet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopenscenegraph-dev, openscenegraph, ros-melodic-catkin, ros-melodic-uwsim-bullet, ros-melodic-uwsim-osgworks
Description: The OSG Bullet library adapted to UWSim.
 See https://code.google.com/p/osgbullet
